Bug 1389795 - Unable to modify user roles under adminstrative account with many Organizations associated
Summary: Unable to modify user roles under adminstrative account with many Organizatio...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Users & Roles
Version: 6.3.0
Hardware: x86_64
OS: Linux
high
medium vote
Target Milestone: Unspecified
Assignee: satellite6-bugs
QA Contact: Katello QA List
URL:
Whiteboard:
: 1399241 (view as bug list)
Depends On: 1374434
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-10-28 16:36 UTC by Mike McCune
Modified: 2019-12-16 07:16 UTC (History)
15 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1374434
Environment:
Last Closed: 2018-02-21 16:54:37 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 14101 0 None None None 2016-10-28 16:36:31 UTC

Description Mike McCune 2016-10-28 16:36:31 UTC
+++ This bug was initially created as a clone of Bug #1374434 +++

Description of problem:

Unable to modify user roles under adminstrative account with many Organizations associated; attempting to modify user roles yields a screen with the following error:

"Oops, we're sorry but something went wrong ERF42-5434 [Foreman::Exception]: unknown permission view_taxonomies"


Version-Release number of selected component (if applicable):

6.2.1


How reproducible:

Always, in customer environment


Steps to Reproduce:
1. Assign 5+ Orgs to administrative satellite account
2. Attempt to modify user roles
3.

Actual results:

"Oops, we're sorry but something went wrong ERF42-5434 [Foreman::Exception]: unknown permission view_taxonomies"


Expected results:

Should go straight to the Edit Filter screen.

--- Additional comment from RHEL Product and Program Management on 2016-09-09 13:16:04 EDT ---

Since this issue was entered in Red Hat Bugzilla, the pm_ack has been
set to + automatically for the next planned release

--- Additional comment from Kavita on 2016-10-17 08:23:37 EDT ---


This issue is fixed in upstream project.

For reference, please check below link - https://github.com/theforeman/foreman/pull/3779

--- Additional comment from Marek Hulan on 2016-10-19 03:12:05 EDT ---

Kavita, thanks for taking care of this. Next time please add a link to Foreman issue tracker under external trackers, so both issues get synchronized. Also since it's already merged in upstream, this bug should be moved to POST. If you have any questions, feel free to ask.

--- Additional comment from Kathryn Dixon on 2016-10-26 21:05:27 EDT ---

Can we get a hot fix for this issue? 

http://projects.theforeman.org/issues/14101 and https://github.com/theforeman/foreman/pull/3779 are different, we are unsure which one to apply.

--- Additional comment from Marek Hulan on 2016-10-27 02:31:49 EDT ---

https://github.com/theforeman/foreman/pull/3779 - this was merged as a fix, if customer wants hotfix and the request is appropriate, please ask for hotfix on sat-prio. In such case, we should probably also include this into next z-stream.

--- Additional comment from Mike McCune on 2016-10-28 12:35:43 EDT ---

will move this into 6.2.z and get a hotfix built. Will target this for 6.2.5

This means the customer will need to wait until 6.2.5 to upgrade as 6.2.4 is already in progress.

Any users using this hotfix will need to *skip* 6.2.4. Detailed hotfix instructions will be available when it is built and attached to this bz

Comment 1 Mike McCune 2016-10-28 16:39:31 UTC
Cloned from 6.2.z bug that is being hotfixed

Comment 6 Oleksandr Shtaier 2017-06-29 07:45:35 UTC
Verified on latest 6.3 build using test automation scripts.

Steps:
1. Create 10 organizations
2. Create new admin user
3. Add organization to that new user
4. Login into application using that user
5. Create new role
6. Add few Architecture permissions to the role

Comment 7 Marek Hulan 2017-08-02 12:29:40 UTC
*** Bug 1399241 has been marked as a duplicate of this bug. ***

Comment 8 Satellite Program 2018-02-21 16:54:37 UTC
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.
> > 
> > For information on the advisory, and where to find the updated files, follow the link below.
> > 
> > If the solution does not work for you, open a new bug report.
> > 
> > https://access.redhat.com/errata/RHSA-2018:0336


Note You need to log in before you can comment on or make changes to this bug.